package sun.util.calendar;

import java.util.TimeZone;

public class Gregorian extends BaseCalendar
{
    Gregorian() {
    }
    
    @Override
    public String getName() {
        return "gregorian";
    }
    
    @Override
    public Gregorian.Date getCalendarDate() {
        return this.getCalendarDate(System.currentTimeMillis(), this.newCalendarDate());
    }
    
    @Override
    public Gregorian.Date getCalendarDate(long n) {
        return this.getCalendarDate(n, this.newCalendarDate());
    }
    
    @Override
    public Gregorian.Date getCalendarDate(long n, CalendarDate calendarDate) {
        return (Gregorian.Date)super.getCalendarDate(n, calendarDate);
    }
    
    @Override
    public Gregorian.Date getCalendarDate(long n, TimeZone timeZone) {
        return this.getCalendarDate(n, this.newCalendarDate(timeZone));
    }
    
    @Override
    public Gregorian.Date newCalendarDate() {
        return new Gregorian.Date();
    }
    
    @Override
    public Gregorian.Date newCalendarDate(TimeZone timeZone) {
        return new Date(timeZone);
    }
    
    static class Date extends BaseCalendar.Date
    {
        protected Date() {
        }
        
        protected Date(TimeZone timeZone) {
            super(timeZone);
        }
        
        @Override
        public int getNormalizedYear() {
            return this.getYear();
        }
        
        @Override
        public void setNormalizedYear(int year) {
            this.setYear(year);
        }
    }
}
